초대 대상이 이미 멤버인 경우
API는 이 문제가 발생하면 409 Conflict 응답을 반환합니다. type 값은 https://lingo.dev/docs/api/errors/invitee-already-member입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.
ada@example.com 주소로 초대할 수 없습니다. 이 주소는 이미 <organizationId> 조직 멤버의 주소이며, 초대해도 해당 멤버의 역할은 변경되지 않습니다. 역할을 변경하려면 조직 멤버 관리에서 변경하세요.
필드#
응답 본문에는 표준 필드인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로, 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
organizationId | string |
email | string |
예시#
json
{
"detail": "Cannot invite ada@example.com. That address already belongs to a member of organization <organizationId>, and an invitation would not change their role. Change their role through the organization members instead.",
"organizationId": "<organizationId>",
"email": "ada@example.com",
"type": "https://lingo.dev/docs/api/errors/invitee-already-member",
"status": 409,
"title": "Invitee already a member"
}이 오류를 반환하는 엔드포인트#
POST /v2/organizations/{orgId}/invites